# PetscDLLibraryOpen

Opens a dynamic link library

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscDLLibraryOpen(MPI_Comm comm,const char libname[],void **handle)

Collective on MPI_Comm

### Input Parameters

| comm | - processors that are opening the library
| libname | - name of the library, can be relative or absolute

### Output Parameter

handle -library handle

### Notes

[[<http,ftp>://hostname]/directoryname/]filename[.so.1.0]

${PETSC_ARCH} occuring in directoryname and filename will be replaced with the appropriate value.

Level:developer
Location: src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages